#pragma once
#include "stdafx.h"
#include "Ogre.h"
#include "NxPhysics.h"
#include "Stream.h"

class Ball{
protected:
	Ogre::SceneNode* ogreNode;
	NxActorDesc actorDesc;				
	NxSphereShapeDesc sphereDesc;
	NxBodyDesc bodyDesc;
	NxMaterialDesc material;
	NxMaterial* mat;
	NxActor* actor;
public:	
	Ball(Ogre::SceneManager* sceneManager, NxScene* mPhysicsScene, NxPhysicsSDK* mPhysicsSDK, int id);
	void update();
	void reset();
	void start();
	void travel(int time);
};