#pragma once
#include "stdafx.h"
#include "Ogre.h"
#include "NxPhysics.h"
#include "Stream.h"

class Lever{
protected:
	Ogre::SceneNode* leverNode;
	Ogre::SceneNode* leverNode1;
	Ogre::SceneNode* leverNode2;
	NxActorDesc actorDesc1;
	NxActorDesc actorDesc2;				
	NxBoxShapeDesc shapeDesc1;
	NxBoxShapeDesc shapeDesc2;
	NxBodyDesc bodyDesc1;
	NxBodyDesc bodyDesc2;
	NxActor* actor1;
	NxActor* actor2;
	bool inited;
public:
	Lever(Ogre::SceneManager* sceneManager, NxScene* mPhysicsScene, NxPhysicsSDK* mPhysicsSDK);
	void update();
	Ogre::SceneNode* getNode();
};